Subject: Re: bug#5999: new snapshot available: coreutils-8.4.100-81926

From: Jim Meyering <[email-masked]>
Date: Thu, 22 Apr 2010 11:14:01 +0200

Gilles Espinasse wrote:
> ----- Original Message -----
> From: "Jim Meyering" <[email-masked]>
> Subject: bug#5999: new snapshot available: coreutils-8.4.100-81926
>
>> I think we're ready for coreutils-8.5.
>> In preparation, here's a snapshot.  Please beat it up.
>
> A few warning during tests (x86, gcc-4.4.3) in gnulib-tests, but less than
> 8.4 with same compiler.
> Every test PASS or SKIP

Thanks for the quick and detailed feedback.

> There is a few SKIP that I am not sure of the real cause
> ./misc/pwd-unreadable-parent: skipping test: can't use buggy system getcwd
> SKIP: misc/pwd-unreadable-parent

This test works only when the system getcwd works
in spite of an unreadable parent.  Yours is replaced,
so the test must be skipped.

> ./df/total-verify: skipping test: df fails
> SKIP: df/total-verify

That test runs df and skips if it exits nonzero on your system.
Look in tests/df/total-verify.log for details.

> (FS is ext3)
> ./du/slink: skipping test: `.' is on an XFS file system
> SKIP: du/slink

This test would generate spurious failures when using an XFS file
system.  Here's the code:

  if df --type=xfs . >/dev/null 2>&1; then
    # At least on Irix-6.5.19, when using an xfs file system,
    # each created symlink (name lengths up to 255) would have a size of `0'.
    skip_test_ "\`.' is on an XFS file system"
  fi

> ./mv/i-3: skipping test: /dev/stdin is not readable
> SKIP: mv/i-3

Normally, the special file, /dev/stdin is readable.
Without that, we must skip this test.

> Here is the diff of the tests log between 8.4 and 8.4.100-81926 (I removed
> some noise entering and exiting directories), first run as root, then as
> nobody.
>
> -make[4]: Entering directory `/usr/src/coreutils-8.4/tests'

Thanks again!